TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DigestOnFile ( string filename ) -> string hashsum

### Optional Arguments

Digest | string | (Default: SHA1) | Specifies the digest algorithm to use.

### Description

<shortdoc> Return the hash sum of the file 'filename' under a digest `Digest'.
Note: You probably want to wrap around an encoding function since `DigestOnFile' will return raw string data. </shortdoc>

### See also

Digest ( string ) -> string

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack